mcrypt_module_get_algo_key_size
mcrypt_module_is_block_algorithm_mode
Mcrypt Functions
PHP Manual

# mcrypt_module_get_supported_key_sizes

(PHP 4 >= 4.0.2, PHP 5)

mcrypt_module_get_supported_key_sizes — Returns an array with the supported keysizes of the opened algorithm

### Description

array mcrypt_module_get_supported_key_sizes ( string `$algorithm` [, string `$lib_dir` ] )

Returns an array with the key sizes supported by the specified algorithm. If it returns an empty array then all key sizes between 1 and mcrypt_module_get_algo_key_size() are supported by the algorithm.

### Parameters

`algorithm`

  The algorithm to be used.

`lib_dir`

  The optional `lib_dir` parameter can contain the location where the algorithm module is on the system.

### Return Values

Returns an array with the key sizes supported by the specified algorithm. If it returns an empty array then all key sizes between 1 and mcrypt_module_get_algo_key_size() are supported by the algorithm.

### See Also

- mcrypt_enc_get_supported_key_sizes() - Returns an array with the supported keysizes of the opened algorithm

mcrypt_module_get_algo_key_size
mcrypt_module_is_block_algorithm_mode
Mcrypt Functions
PHP Manual